package cokr.xit.fims;

import javax.sql.DataSource;

import org.springframework.boot.context.properties.ConfigurationProperties;

import cokr.xit.foundation.boot.DatasourceConfig;

public class DatabaseConfig {
	public static class FimsDatasource extends DatasourceConfig {
		@Override
		@ConfigurationProperties(prefix = "spring.datasource.hikari.fims")
		public DataSource dataSource() {
			return super.dataSource();
		}

		@Override
		protected String[] mapperLocationPatterns() {
			return new String[] {
				"classpath*:sql/mapper-jar-applib/base/*.xml",
				"classpath*:sql/mapper/base/*.xml",
				"classpath*:sql/mapper/interfaces/*.xml",
				"classpath*:sql/mapper/fims/**/*.xml",
			};
		}

		@Override
		protected String mapperBasePackages() {
			return "cokr.xit.base;cokr.xit.interfaces;cokr.xit.fims";
		}
	}


}
